classification
Title: Request for docs.python.org/3/library/configparser.html#exceptions improvement
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, iritkatriel, leveque, terry.reedy
Priority: normal Keywords: easy

Created on 2020-09-08 08:45 by leveque, last changed 2021-11-23 16:22 by iritkatriel. This issue is now closed.

Messages (3)
msg376551 - (view) Author: (leveque) Date: 2020-09-08 08:45
Hi,

docs.python.org/3/library/configparser.html#exceptions does not mention KeyError which is mentioned under https://docs.python.org/3/library/configparser.html#mapping-protocol-access and https://docs.python.org/3/library/configparser.html#customizing-parser-behaviour.

Could it be added ?

Cheers,
msg376751 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-11 23:37
https://docs.python.org/3/library/configparser.html#exceptions, like similar sections for other module docs, lists and explains the non-builtin exceptions defined and used in the module.  Functions in all modules can potentially raise various builtin exceptions, and some of these may be mentioned.  They are all documented in a beginning chapter the library doc, which users are expected to be familiar with.

That said, I vaguely remember at least some Exceptions sections beginning with some like 'Additional exceptions defined in this module.'  If you or someone thinks it worthwhile enough to check other modules, using the left sidebar ToC, to find such examples, I will consider making a PR.
msg406852 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-11-23 16:22
I agree with Terry, it's pretty clear that this is a list of the exceptions that are defined in the module. Indeed many builtin exceptions can be raised from any piece of code (for example, you can run out of memory in any module).
History
Date User Action Args
2021-11-23 16:22:59iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg406852

resolution: rejected
stage: resolved
2021-01-08 16:34:29iritkatrielsetkeywords: + easy
2020-09-11 23:37:37terry.reedysetnosy: + terry.reedy
messages: + msg376751
2020-09-08 08:45:15levequecreate